Subject: bug#58813: can't substitute etc/teams.scm command as doc suggests

From: Simon Tournier <[email-masked]>
Date: Thu, 12 Jan 2023 14:31:05 +0100

Hi Maxim,

On mer., 11 janv. 2023 at 22:00, Maxim Cournoyer <[email-masked]> wrote:

> It's developed as part of U-Boot and available at
> https://u-boot.readthedocs.io/en/latest/develop/patman.html.  It's
> generated from the same sources as the info manual from
> u-boot-documentation referenced above.

Oh thanks!  I do not know why I did not found it when using my favorite
search engine. :-)

>> On my side, if I have to do more than just click to read documentation,
>> then I give up.  And then, if I have to parse lengthy documentation,
>> then it depends on my motivation but it is also possible that I give
>> up–the well-known RTFM trap.  In other words, I am lazy. :-)
>
> The 'Patman patch manager' section is relatively compact; I read it from
> the comfort of Emacs ;-).  There's also some alternative short text
> available as 'patman -H' if you are in a hurry.

Well, I still think that examples about how to use it are worth and will
help for adoption. :-)

For instance, this section of the manual [1] describes how to use
git-format-patch and git-send-email with details applied to Guix
examples.  It appears to me better than just pointing [2] and [3]. ;-)

1: <https://guix.gnu.org/manual/devel/en/guix.html#Sending-a-Patch-Series>
2: <https://git-scm.com/docs/git-format-patch>
3: <https://git-scm.com/docs/git-send-email>

Cheers,
simon